import { __decorate } from "tslib";
import { customElement } from '@microsoft/fast-element';
import { hostEnv } from '../../main/config';
import { commonLoginRouteStyles } from '../../styles';
import { logger } from '../../utils';
import { BaseRoute } from '../base';
import { ForgotPasswordTemplate as template } from './forgot-password.template';
let ForgotPassword = class ForgotPassword extends BaseRoute {
    async connectedCallback() {
        super.connectedCallback();
        await this.autofill();
    }
    async onSubmit() {
        logger.debug('forgot password submission');
        await super.onSubmit();
        /**
         * Example url from email: https://public-foundation.genesislab.global/reset-password?password=nc_cbGrlgCkZeJHAF043oqEidnk
         */
        const returnUrl = `${location.protocol}//${hostEnv}/${this.getSubRoutePath('reset-password')}`;
        const message = this.messageBuilder.createForgotPasswordMessage(this.orgUsername, returnUrl);
        await this.sendMessage(message, 'Please check your inbox for reset instructions.');
    }
};
ForgotPassword = __decorate([
    customElement({
        name: 'foundation-login-forgot-password',
        template,
        styles: commonLoginRouteStyles,
    })
], ForgotPassword);
export { ForgotPassword };
