import { __decorate } from "tslib";
import { customElement } from '@microsoft/fast-element';
import { commonLoginRouteStyles } from '../../styles';
import { BaseRoute } from '../base';
import { ProtectedTemplate as template } from './protected.template';
let Protected = class Protected extends BaseRoute {
    async onLogout() {
        const result = await this.auth.logout();
        if (!result.success) {
            return;
        }
        await this.credentialManager.preventSilentAccess();
        this.onNavigate('/');
    }
};
Protected = __decorate([
    customElement({
        name: 'foundation-login-protected',
        template,
        styles: commonLoginRouteStyles,
    })
], Protected);
export { Protected };
