import { __decorate } from "tslib";
import { customElement, observable } from '@microsoft/fast-element';
import { commonLoginRouteStyles } from '../../styles';
import { logger } from '../../utils';
import { BaseRoute } from '../base';
import { RequestAccountTemplate as template } from './request-account.template';
let RequestAccount = class RequestAccount extends BaseRoute {
    constructor() {
        super(...arguments);
        this.termsAgreed = false;
    }
    async onSubmit() {
        logger.debug('request account submission');
        await super.onSubmit();
    }
};
__decorate([
    observable
], RequestAccount.prototype, "termsAgreed", void 0);
RequestAccount = __decorate([
    customElement({
        name: 'foundation-login-request-account',
        template,
        styles: commonLoginRouteStyles,
    })
], RequestAccount);
export { RequestAccount };
