import { __decorate } from "tslib";
import { customElement, observable } from '@microsoft/fast-element';
import { commonLoginRouteStyles } from '../../styles';
import { logger } from '../../utils';
import { BaseRoute } from '../base';
import { VerifyTemplate as template } from './verify.template';
let Verify = class Verify extends BaseRoute {
    constructor() {
        super(...arguments);
        this.code = '';
    }
    async onSubmit() {
        logger.debug('2FA verify submission');
        await super.onSubmit();
    }
};
__decorate([
    observable
], Verify.prototype, "code", void 0);
Verify = __decorate([
    customElement({
        name: 'foundation-login-verify',
        template,
        styles: commonLoginRouteStyles,
    })
], Verify);
export { Verify };
